Subject: Re: Git messes up 'ø' character

From: Noralf Trønnes <[email-masked]>
Date: Tue, 20 Jan 2015 23:26:07 +0100

Den 20.01.2015 23:18, skrev Nico Williams:
> On Tue, Jan 20, 2015 at 10:38:40PM +0100, Noralf Trønnes wrote:
>> Yes:
>> $ echo Noralf Trønnes | xxd
>> 0000000: 4e6f 7261 6c66 2054 72f8 6e6e 6573 0a    Noralf Tr.nnes.
>>
>> Is there a command I can run that shows that I'm using ISO-8859-1 ?
>> I need something to google with, my previous search only gave locale
>> stuff, which seems fine.
> The locale(1) command tells you what your locale is set to, but it
> doesn't say anything about your input method -- it only tells you what
> your shell and commands started from it expect for input and what they
> should produce for output.
>
> The input method will generally be part of your windowing environment,
> for which you'll have to search how to check/configure your OS
> (sometimes it can be set on a per-window basis, sometimes it's a global
> setting).
>
> Even if the windowing environment is set to UTF-8, your terminal
> emulator might be set to ISO-8859-something, so check the terminal
> emulator (e.g., rxvt, Terminator, GNOME Terminal, PuTTY, ...).

I use putty which was set to ISO-8859-1. Changing this to UTF-8 gave me 
the correct result:
$ echo Noralf Trønnes | xxd
0000000: 4e6f 7261 6c66 2054 72c3 b86e 6e65 730a  Noralf Tr..nnes.

Thank you all for helping me!